<xml xmlns="https://developers.google.com/blockly/xml">
<description>
<![CDATA[
##  Transistor Amplifier

The single transistor amplifier uses common emitter configuration. The input signal having
80mV amplitude is reduced further sing a divider network. 
The DC operating point is set using PV2 and the collector voltage is from PV1.
The AC signal is fed through a capacitor to the base of the transistor. 

<img  class="ui image fluid" src='data:image/svg+xml;base64,[encoded data, 11480 characters]'/>

- Make the connections as per the schematic. 
- Adjust PV2 to set the operting point to get a distortion free output.

]]>	
</description>
  <variables>
    <variable id="J-+@|mBt7ruFM6)FhVT-">timestamps</variable>
    <variable id="NsNgyd_8Jh5$%CRlizEp">data1</variable>
    <variable id="lJEBaS2!pcJs,/7Ddo-S">data2</variable>
  </variables>
  <block type="select_range" id="_HXvI+j_EFUS#ka=qAn~" x="7" y="12">
    <field name="CHANNEL">A2</field>
    <field name="RANGE">2</field>
    <next>
      <block type="select_range" id="^nAr9E)##RI)7eEhA?$n">
        <field name="CHANNEL">A1</field>
        <field name="RANGE">7</field>
        <next>
          <block type="set_frequency" id="gpCl(26UF/yWoc^EiRo{">
            <field name="CHANNEL">WG</field>
            <value name="FREQUENCY">
              <block type="math_number" id="CJ%,Y3X@l=g@ni$~/f7h">
                <field name="NUM">1000</field>
              </block>
            </value>
            <next>
              <block type="select_sine_amp" id="#:GEvpQ2O@n$6!kw%=GN">
                <field name="RANGE">0</field>
                <next>
                  <block type="controls_whileUntil" id="$EIOH2tW_j94UZyptf,r">
                    <field name="MODE">WHILE</field>
                    <value name="BOOL">
                      <block type="logic_boolean" id="3[`(8@oBA9hS4kPt`[q9">
                        <field name="BOOL">TRUE</field>
                      </block>
                    </value>
                    <statement name="DO">
                      <block type="capture_plot" id="VWH06?[5zob7L9WJ*oGP">
                        <field name="CHANNEL">A1</field>
                        <field name="TIMESTAMPS" id="J-+@|mBt7ruFM6)FhVT-">timestamps</field>
                        <field name="DATA1" id="NsNgyd_8Jh5$%CRlizEp">data1</field>
                        <field name="DATA2" id="lJEBaS2!pcJs,/7Ddo-S">data2</field>
                      </block>
                    </statement>
                  </block>
                </next>
              </block>
            </next>
          </block>
        </next>
      </block>
    </next>
  </block>
</xml>
